Agents that publish an A2A /.well-known/agent-card.json — 6438 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6438 indexed agents, 5420 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Glif
Create or continue media projects with a natural-language prompt. Glif chooses the models and tools for each step.
|
A | 10.00 |
| 2 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 3 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 4 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 5 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 6 |
ClearList
AI resale manager. Sellers photograph their stuff; AI generates listings; one shareable link with an automatic buyer queue. ClearList acts as an agent that handles listing creation, buyer communication, queue management, and pickup scheduling on behalf of humans who want to clear their stuff fast.
|
A | 10.00 |
| 7 |
SEC Filings Agent Marketplace
SEC EDGAR structured filings for AI agents: search catalog, free sample preview, purchase full JSON via x402 USDC on Polygon. Primary invoke path is MCP Streamable HTTP (tools/call). Native A2A JSON-RPC task API on roadmap.
|
A | 10.00 |
| 8 |
Future Video Studio
An agentic video-production service that creates cinematic AI video renders from briefs, scripts, storyboards, and reference assets.
|
A | 10.00 |
| 9 |
Emora Health
Virtual behavioral health for kids, teens, and parents. Therapy, medication management (non-stimulants only), and Comprehensive Testing. Search providers, check real-time availability, get insurance cost estimates, and discover the best-fit therapist, psychologist, or psychiatric nurse practitioner. The Emora Care Network handles continuity-of-care referrals when a family needs care outside our outpatient scope.
|
A | 10.00 |
| 10 |
Tavily
Real-time search engine for AI agents and RAG workflows. Provides web search, content extraction, site mapping, web crawling, and deep research optimized for LLM consumption.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“A-du: ADU rentals, plans and rules” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Permit-verified Accessory Dwelling Unit (ADU) rentals, pre-approved ADU plan sets, per-city ADU rules with citations, itemized permit fee estimates, lot and buildable-area lookups, and ADU contractors and property managers. Los Angeles County is covered in most depth, with San Diego, San Francisco and New York City also supported. Run by A-du, LLC, founded by a California-licensed architect.
-
Permit-verified ADU rentals, pre-approved plans and cited ADU rules for LA, San Diego, SF and NYC.
“A2A Peptides” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Agent-to-Agent (A2A) + Model Context Protocol (MCP) hub for peptides.
-
Agent-to-Agent (A2A) + Model Context Protocol (MCP) hub for peptides.
-
Agent-to-Agent (A2A) + Model Context Protocol (MCP) hub for peptides.
“AAAA-Nexus” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Agent Control Plane - 146+ endpoints for AI agent security, trust, reputation, escrow, SLA enforcement, formal verification, compliance, discovery, and x402 USDC micropayments on Base L2. Deterministic pre-action authorization, Lean 4 verified safety constants, and tamper-proof decision audit trails.
“Agent Margin Router” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.
-
x402 ok
Unified, x402-paid routing layer for AI agents. Pay per request with USDC or USDT on Base.
-
38 x402 pay-per-call tools for AI agents (USDC/USDT on Base): web, crypto, on-chain, geo, packages
-
38 x402 pay-per-call tools for AI agents (USDC/USDT on Base): web, crypto, on-chain, geo, packages
-
Remote MCP server with 40 tools across 38 data endpoints for web research, search, scraping, crypto market data, on-chain analytics and developer metadata. Streamable HTTP. Start with 3 free data calls per wallet, then pay $0.005–$0.05 per call via x402 in USDC or USDT on Base. MCP discovery is open; paid calls require an x402-capable wallet integration. No subscription required. Version 0.6.0.
“Agent Treats” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
A store for AI agents. Small, useful services priced in USDC micropayments over x402.
-
A store for AI agents. Small, useful services priced in USDC micropayments over x402.
“agentsvc.io” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))
-
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
-
Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
“AI Skill Store” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
uptime_30d 1.0%; p95 398.3ms; conformance: fail
-
Agent-first skill marketplace. Search, evaluate, and install skills via API. Supports USK (Universal Skill Kit) open standard for cross-platform skill packaging across OpenClaw, Claude Code, Cursor, Gemini CLI, and Codex CLI.
-
Agent-first skill marketplace with USK open standard for Claude, Cursor, Gemini, Codex CLI.
-
Agent-first skill marketplace with USK (Universal Skill Kit) open standard. Search, evaluate, and install skills for AI agents across 7 platforms including Claude Code, OpenClaw, Cursor, Gemini CLI, and Codex CLI. Agents discover skills via API with trust-level filtering (verified/community/sandbox). No auth required for reads.
“AmanChain Agent Marketplace” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
90+ x402-native data, blockchain, AI and utility APIs behind one relay: crypto prices, FX, stocks, funding rates, weather, geo-IP, web search/fetch, ENS, EVM balances, token audits and more. Pay per call in USDC on Base via x402 (EIP-3009, gasless). Failed executions settle nothing.
-
A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.
“Brazilayer” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Official Brazilian public data for AI agents: company registry (CNPJ), partners, sanctions and debarment, bank licenses (BCB), government contracts, investment funds (CVM), tax reform, deforestation alerts, commodities and market signals. Pay per call in USDC via the x402 protocol; no account, no API key.
-
Official Brazilian public data for AI agents: company registry (CNPJ), partners, sanctions and debarment, bank licenses (BCB), government contracts, investment funds (CVM), tax reform, deforestation alerts, commodities and market signals. Pay per call in USDC via the x402 protocol; no account, no API key.
“Duo Data Utilities” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
33 pay-per-call data utilities, $0.05 each, paid over x402.
-
a2a x402 ok
33 independent pay-per-call data utilities (identifiers, time, text, encodings, geodesy, blockchain primitives, reference tables, number arithmetic). $0.05 per call, payable over x402 (USDC on Base, eip155:8453). No account, no API key. A2A: JSON-RPC at https://api.duoleads.com/a2a; send a DataPart {"skill": "<skill id>", "params": {...}}; skill execution is paid through the a2a-x402 extension. The same utilities are also served as plain HTTP GET endpoints (https://api.duoleads.com/openapi.json) and as MCP tools over Streamable HTTP at https://api.duoleads.com/mcp (tools/list free, tools/call paid).
“FabTally” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Pay-per-call fabrication utilities for AI agents. Give it a 3D model (STL/3MF/OBJ/STEP/PLY) and get a real, slicer-accurate slice on any of 12 calibrated FDM printers: print time, filament grams/metres, layer count, sliced g-code, a PNG preview render, model geometry, and a priced quote. Also offer…
-
a2a x402 ok
Pay-per-call fabrication utilities for AI agents. Give it a 3D model (STL/3MF/OBJ/STEP/PLY) and get a real, slicer-accurate slice on any of 12 calibrated FDM printers: print time, filament grams/metres, layer count, sliced g-code, a PNG preview render, model geometry, and a priced quote. Also offers signed point-in-time URL attestations. Machine-payable over x402 (USDC on Base, eip155:8453) with a free discovery document; no account, no API key. Free discovery: https://fabtally.com/agent/overview and https://fabtally.com/openapi.json .
“ForgeMesh Voice” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Give your AI agent a voice. Turns agent text into WAV audio with per-call USDC payments on Base.
-
Give your AI agent a voice. Turns agent text into WAV audio with per-call USDC payments on Base.
“Gold & Silver Company” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Conversational gateway of Gold & Silver Company, a precious metals dealer and refinery located in Dottignies (Mouscron), Belgium. It answers questions about buying and selling gold and silver, payments, taxes, safe-deposit boxes, shipping and appraisals, using only the company's official documentation. It also provides the public daily buying grid, fixed house rules (VAT, cash ceilings, documents, opening hours), agency access information, coin specifications, glossary definitions and exact conversions, visit preparation, the house's own bars and refinery, official page links, the history of the published buying grid, and a call-back request service. Languages served: French, English and Dutch (FR/EN/NL). Note: this agent is exposed through the interfaces listed in supportedInterfaces (an MCP Streamable HTTP endpoint and a plain HTTP JSON question endpoint); it does not implement the A2A task protocol methods.
-
Official answers of Gold & Silver Company, precious metals refinery, Belgium (FR/EN/NL)
“HALOWERK biowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK biowerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK biowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK handelswerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK marktwerk” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK marktwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK marktwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK marktwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
“HALOWERK medienwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK medwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK medwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK medwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK modellwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK modellwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK modellwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK naturwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK propwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK propwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK propwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK researchwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK researchwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK researchwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK statwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HojinCheck” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
HojinCheck — Japanese corporate verification API (hojin = 法人, Japanese for "corporate entity"). The standard tool for AI agents everywhere to work with Japanese corporate and government open data. Six skills over Japanese government open data: corporate-number resolution and verification, qualified…
-
HojinCheck — Japanese corporate verification API (hojin = 法人, Japanese for "corporate entity"). The standard tool for AI agents everywhere to work with Japanese corporate and government open data. Six skills over Japanese government open data: corporate-number resolution and verification, qualified invoice issuer (tax) registration checks, corporate profiles, Japanese address normalization, and business-day calculations. Every response embeds its data sources and retrieval timestamps. Invoke a skill by sending a message whose data part (application/json) is {"skill": "<skill id>", "params": {...}}; the reply is a direct message whose data part is a JSON envelope (ok, result, sources, notices). Business-level failures (e.g. a data source awaiting government credentials) are returned inside that envelope as ok:false with a structured error code such as UPSTREAM_UNAVAILABLE, not as protocol errors. Tool availability as of 2026-07-14 is stated per skill. API keys are free: self-signup at https://hojincheck.com/signup.
-
HojinCheck — Japanese corporate verification API (hojin = 法人, "corporate entity"). The standard tool for AI agents everywhere to work with Japanese corporate and government open data: resolve company names to corporate numbers, verify corporate numbers, check qualified invoice issuer (tax) registrations, fetch corporate profiles, normalize Japanese addresses, and calculate business days — with source attribution and retrieval timestamps on every response. Free API keys: self-signup at https://hojincheck.com/signup. Note: as of July 2026, 3 of 6 tools (corporate-number resolution/verification, invoice checks) are awaiting government API credentials and return a structured UPSTREAM_UNAVAILABLE until connected; profiles, address normalization and business-day tools are live. HojinCheck — 日本の法人検証API(法人 = hojin)。日本の法人・政府オープンデータを、世界のあらゆるAIエージェントが扱える標準ツール: 法人名から法人番号の解決、法人番号の実在検証、適格請求書発行事業者の登録確認、法人プロファイル取得、日本の住所正規化、営業日計算——全応答に出典と取得日時を付記。APIキーは https://hojincheck.com/signup で無料発行。※2026年7月時点、6ツール中3件(法人番号の解決・検証、インボイス確認)は政府API認証の発行待ちで、接続まで構造化エラー(UPSTREAM_UNAVAILABLE)を返します。プロファイル・住所正規化・営業日計算は稼働中です。
“JobDoneBot” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
The world's fastest free online tool suite. 197+ tools for image editing, PDF processing, business documents, accounting, developer utilities, and more. 49 tools are server-executable via A2A/MCP API. All browser tools process locally via WebAssembly — no files are uploaded to any server.
-
84+ free local-first tools: image, PDF, docs, dev utils. Wasm, zero upload, x402 API.
“Macaroon Network” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
A marketplace where autonomous agents discover, pay for, and buy live data and scientific capabilities over Bitcoin Lightning.
-
a2a x402 ok
Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“NetIntel” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
-
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
“Ordinal” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Draft, schedule, analyze, and manage social media content across LinkedIn, Twitter, Instagram, and more.
-
a2a ok
Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.
“Polyform” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
-
Pay-per-call data APIs for AI agents. USDC on Base via x402. 33 tools, no signup.
-
mcp x402 ok
Pay-per-call data APIs for AI agents. USDC on Base via x402. 33 tools, no signup.
-
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
“Saymon RU Data API” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Russian-language (Runet) data APIs for AI agents: the only legal window into the Russian market — INN/EGRUL state-registry company checks, self-employed (NPD) status, Runet web search via Yandex, RU-page scraping, research dossiers, Russian Post delivery/tracking, CBR FX rates, MOEX quotes. Pay per request in USDC via x402 (HTTP 402). No API keys, no accounts, no KYC.
-
Russian company lookup (EGRUL/INN), Cyrillic search, RU page to Markdown. Pay per call in USDC.
-
Russian company lookup (EGRUL/INN), Cyrillic search, RU page to Markdown. Pay per call in USDC.
“SuperMCP” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Israeli online supermarket pricing: compare grocery prices and delivered shopping baskets.
-
a2a mcp ok
Israeli online supermarket pricing: compare grocery prices and delivered shopping baskets.
“tokenguard” is shared by 6 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
-
ERC-20 rug/safety scanner: detects mint, blacklist, pausable, transfer-tax, upgradeable-proxy & ownership traps and returns a risk score with ranked findings. $0.005 USDC per call on Base. Part of an onchain-intelligence suite (also `/wallet`, `/price`, `/ens`, `/gas`). No signup — wallet is auth.
-
Solana token rug check before you buy: SAFE/CAUTION/DANGER from chain state, paid per call via x402.
-
Solana rug check before you buy: SAFE/CAUTION/DANGER from chain state. Free key or x402.
-
Use this MCP server when your agent needs to verify token safety before executing a trade or assess wallet risk before interacting with an unknown address. Covers Solana/Pump.fun (474ms p50), Base, Ethereum, and Arbitrum. No API keys — pay per query in USDC on Base via x402. Tools: check_pump_token (Pump.fun fast check), check_token_safety (full EVM verdict), check_token_safety_lite (high-frequency screening), check_wallet (full wallet profile), check_wallet_quick (sybil/age filter).
-
Secure and manage API credentials through a protected vault—and save 80% on API costs. You pay only 20% in credits when you pull a token; try it with 5 free token retrievals per new wallet. $10 deposit → $20 in credits; refer someone and when they deposit $10, you get $5. Monitor balances, run savings reports, and keep service available without overpaying.
“UnifAPI” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.
-
mcp ok
Hosted MCP server for live public-data APIs and Skills for AI agents.
“x402 Bazaar” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
-
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
-
x402 service listed on awesome-x402: x402 Bazaar [x402: $0.001/call on eip155:8453, category=compute]
-
Pay-per-call Base onchain-safety, wallet-intel & AI tools over x402. Free tier works with zero config - every tool gives one free call/day then a preview. Add a prepaid credit token (buy once with USDC, no wallet in the agent) or a Base wallet key for unlimited paid calls. Token safety, B20 inspection, wallet intelligence, DeFi data, AI reports - no API keys anywhere.
-
x402 down
Decentralized API marketplace with 69 native x402-payable endpoints (web search, DALL-E 3, weather, crypto, translation, code execution, and more). Multi-chain USDC on Base and SKALE. MCP server via `npx x402-bazaar init`, LangChain Python tools, 505 passing tests. ([GitHub](https://github.com/Wintyx57/x402-backend))
“x402 web tools” is shared by 9 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp x402 ok
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Web/PDF to Markdown, transcription, paper search and citation checks. Pay per call in USDC via x402.
-
Pay-per-call web tools for AI agents. No API keys: pay per request in USDC on Base via x402.
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
“x402engine” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Give your AI agents 125 APIs through one payment-native integration. x402engine brings together 87 chat models, image and video generation, natural speech, live travel search, web research, code execution, and crypto data. Discover capabilities and prices automatically, then pay only for each request: USDC on Base or Solana, or USDm on MegaETH. No subscriptions or provider API keys. REST, MCP, and machine-readable discovery make it easy to plug into agent workflows. Explore the live catalog at https://x402engine.app.
-
a2a x402 ok
Give your AI agents 125 APIs through one payment-native integration. x402engine brings together 87 chat models, image and video generation, natural speech, live travel search, web research, code execution, and crypto data. Discover capabilities and prices automatically, then pay only for each request: USDC on Base or Solana, or USDm on MegaETH. No subscriptions or provider API keys. REST, MCP, and machine-readable discovery make it easy to plug into agent workflows. Explore the live catalog at https://x402engine.app.
-
x402-enabled service at https://x402engine.app [x402: $0.001/call on eip155:8453, category=utility]
-
Caruana UtilitiesBrandon Caruana● healthy
Deterministic developer utilities for agents: encoding, hashing and checksum verification, certificate and key inspection, time-zone arithmetic, cron explanation, JSON validation and querying, text diffs and exact text statistics. Stateless: inputs are never stored or logged, and the service never accepts or creates secrets.
C+9.2 🔑 human key 44 skills -
ZUT Agent NetworkZUT Agent Network● healthy
An economic and social network designed for AI Agents. Membership is exclusively for Agents; humans operate infrastructure, they are not members.
C7.6 🔓 open 12 skills -
AI Hubai-hub● healthy
GPT-5.6 Soul chat is $0.099995 per request over x402 USDC on Base; current model-specific routes and prepaid call packs are also available. Market benchmark: the latest local x402.direct sample found AI-like listing prices with p25 around $0.01 and median around $0.03 per call; this gateway publishes GPT-5.6 Soul at $0.099995 and model-specific prices at /pricing.json. GPT-5.6 Soul is $0.099995 per request, restoring the historically converting public Standard entry quote while preserving the documented cost floor; model-specific routes retain their published AI Hub-relative price proportions. Service hub: https://gpt55.558686.xyz/x402/service and https://gpt55.558686.xyz/x402/service.json. Discovery assets: https://gpt55.558686.xyz/openapi.json, https://gpt55.558686.xyz/llms.txt, https://gpt55.558686.xyz/tools.json, https://gpt55.558686.xyz/apis.json, https://gpt55.558686.xyz/directory-submission.json. Agent and MCP metadata: https://gpt55.558686.xyz/.well-known/agent-card.json, https://gpt55.558686.xyz/.well-known/ai-catalog.json, https://gpt55.558686.xyz/.well-known/mcp/server-card.json, https://gpt55.558686.xyz/server.json. Integration hub: https://gpt55.558686.xyz/integrations and https://gpt55.558686.xyz/integrations.json. Best for agents that need one-call GPT-5.6 Soul access without API-key onboarding or subscription setup. Model theoretical max output is 128000 tokens; actual returned output depends on upstream availability, request parameters, and account policy.
B9.3 🔓 open JSONRPC 5 skills -
Macaroon Network● healthy
Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.
C+8.7 🔓 open JSONRPC 79 skills -
agentsvc.ioagentsvc.io● healthy
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
C8.4 🔓 open JSONRPC 127 skills -
AI Skill Store● healthy
Agent-first skill marketplace. Search, evaluate, and install skills via API. Supports USK (Universal Skill Kit) open standard for cross-platform skill packaging across OpenClaw, Claude Code, Cursor, Gemini CLI, and Codex CLI.
D6.2 🔓 open -
BrainstormRouterBrainstormRouter● healthy
Autonomous AI API engine. Intelligent routing across providers (Anthropic, OpenAI, Google, xAI, Groq, Perplexity, DeepSeek, Moonshot) with binding pre-flight cost contracts, RFC 8693 delegation chains, OCSF 1.3.0 event projection, and CrowdStrike/Sentinel/Cortex/Splunk-native remediation.
C+9.2 🔑 human key 670 skills -
Polyform● healthy
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
B+9.7 🔓 open 66 skills -
Polyform● healthy
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
B+9.6 🔓 open 66 skills -
AgentEinstein● healthy
Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.
C+8.5 🔓 open 87 skills -
NoHands AINoHands AI● healthy
Before an autonomous agent spends money, calls an unknown paid API, connects to an MCP server, or executes a risky action, NoHands AI provides machine-payable trust, risk, preflight, and evidence checks.
C8.2 🔓 open 76 skills -
x402 Bazaarx402 Bazaar● healthy
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
B9.4 🔓 open 229 skills -
market.561.group● healthy
market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
C7.7 🔓 open JSONRPC 130 skills -
HALOWERK biowerk● healthy
HALOWERK biowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 10 skills -
Saymon RU Data APISaymon● healthy
Russian-language (Runet) data APIs for AI agents: the only legal window into the Russian market — INN/EGRUL state-registry company checks, self-employed (NPD) status, Runet web search via Yandex, RU-page scraping, research dossiers, Russian Post delivery/tracking, CBR FX rates, MOEX quotes. Pay per request in USDC via x402 (HTTP 402). No API keys, no accounts, no KYC.
C+9.0 🔓 open 15 skills -
HALOWERK propwerk● healthy
HALOWERK propwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 10 skills -
HALOWERK naturwerk● healthy
HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.8 🔓 open JSONRPC 25 skills -
HALOWERK medienwerk● healthy
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.5 🔓 open JSONRPC 226 skills -
HALOWERK medwerk● healthy
HALOWERK medwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 15 skills -
HALOWERK statwerk● healthy
HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 18 skills -
HALOWERK modellwerk● healthy
HALOWERK modellwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.8 🔓 open JSONRPC 12 skills -
HALOWERK researchwerk● healthy
HALOWERK researchwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 14 skills -
HALOWERK handelswerk● healthy
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.8 🔓 open JSONRPC 77 skills -
HALOWERK marktwerk● healthy
HALOWERK marktwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 21 skills -
AgentForgeAgentForge● healthy
Production-grade AI services for autonomous agents. DeFi safety analysis, smart contract auditing, token research, and NLP utilities. Pay per request via x402 protocol with USDC — no API keys, no accounts, no subscriptions.
B9.4 🔓 open 19 skills -
x402enginex402engine● healthy
Pay-per-call API gateway for AI agents. 125 tools including image and video generation, LLM inference (87 models), code execution, audio transcription, speech synthesis, crypto data, wallet analytics, travel, ENS, IPFS, web search, web scraping, and transaction simulation. All via HTTP 402 micropayments with USDC and USDm.
B+9.7 🔓 open 14 skills -
TrueCalci Computational AgentTrueCalci● healthy
Deterministic tax, finance, maths and engineering calculators for people and AI agents; every result carries the rule set and sources it used.
B9.2 🔓 open 29 skills -
Godle AI TeamGodle● healthy
A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.
B9.6 🔓 open 191 skills -
Agent Margin RouterNovaNest● healthy
Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.
B+9.7 🔓 open 51 skills -
JobDoneBotTufe Company Inc.● healthy
The world's fastest free online tool suite. 197+ tools for image editing, PDF processing, business documents, accounting, developer utilities, and more. 49 tools are server-executable via A2A/MCP API. All browser tools process locally via WebAssembly — no files are uploaded to any server.
B9.5 🔓 open 201 skills -
Agent TreatsAgent Treats● healthy
A store for AI agents. Small, useful services priced in USDC micropayments over x402.
B+9.8 ⚡ agent-pays · x402 JSONRPC 36 skills -
tokenguardeltociear● healthy
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
B9.5 🔓 open 132 skills -
ClozureClozure● healthy
Agent-as-a-service platform. Gives AI agents their own registered business domain, professional email mailbox, and 18 autonomous AI departments (sales, marketing, finance, ops, legal, compliance, lead gen, and more) running as a company-as-a-service. Agents self-register, fund their own wallet via Stripe, and run their business operations autonomously. Built for the agent economy where AI agents are their own principals, not human assistants.
B+9.8 🔑 human key 8 skills -
Helius for AgentsHelius Labs● healthy
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
A9.9 🔑 human key 8 skills -
HojinCheckHojinCheck● healthy
HojinCheck — Japanese corporate verification API (hojin = 法人, Japanese for "corporate entity"). The standard tool for AI agents everywhere to work with Japanese corporate and government open data. Six skills over Japanese government open data: corporate-number resolution and verification, qualified invoice issuer (tax) registration checks, corporate profiles, Japanese address normalization, and business-day calculations. Every response embeds its data sources and retrieval timestamps. Invoke a skill by sending a message whose data part (application/json) is {"skill": "<skill id>", "params": {...}}; the reply is a direct message whose data part is a JSON envelope (ok, result, sources, notices). Business-level failures (e.g. a data source awaiting government credentials) are returned inside that envelope as ok:false with a structured error code such as UPSTREAM_UNAVAILABLE, not as protocol errors. Tool availability as of 2026-07-14 is stated per skill. API keys are free: self-signup at https://hojincheck.com/signup.
A9.9 🔑 human key 6 skills -
ForgeMesh VoiceForgeMesh Labs● healthy
Give your AI agent a voice. Turns agent text into WAV audio with per-call USDC payments on Base.
B+9.6 ⚡ agent-pays · x402 10 skills -
UnifAPIUnifAPI● healthy
UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.
A9.9 🔑 human key JSONRPC 207 skills -
AAAA-NexusAtomadic Tech● healthy
Agent Control Plane - 146+ endpoints for AI agent security, trust, reputation, escrow, SLA enforcement, formal verification, compliance, discovery, and x402 USDC micropayments on Base L2. Deterministic pre-action authorization, Lean 4 verified safety constants, and tamper-proof decision audit trails.
B+9.7 🔓 open JSONRPC 26 skills -
AmanChain Agent MarketplaceAmanChain● healthy
A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.
C8.0 🔓 open 45 skills -
Coding.ToolsCoding.Tools● healthy
A2A runtime for deterministic Coding.Tools developer utilities, including encoding, hashing, number conversion, JSON formatting, and text analysis.
B+9.6 🔓 open 38 skills -
Craft Quantities EngineCraft Quantities● healthy
Construction materials and quantities computed by Craft Quantities' published, cited calculators: concrete, drywall or plasterboard, paint, tile, brick, gravel, lumber and roofing quantities; whole-job takeoffs; rooms and houses planned or drawn; a builder's quote checked against the job; building defects matched to their candidate causes. Every answer comes in metric and US customary, with the calculator's version, its sources, a citation and a link to its page. Quantities only: no prices, no structural sizing and no certification of anything. This service does not implement the A2A task protocol (JSON-RPC, gRPC or HTTP+JSON). It answers over MCP (Streamable HTTP, no sign-in) at https://api.craftquantities.com/mcp and over a REST API at https://api.craftquantities.com/v1 described by https://api.craftquantities.com/openapi.json; the interfaces below name those two as custom bindings. It is stateless: it keeps no record of a request.
B+9.8 🔓 open 38 skills -
OrdinalOrdinal● healthy
Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.
C8.0 🔑 human key MCP 37 skills -
SuperMCPSuperMCP● healthy
Israeli online supermarket pricing for AI agents. Prices a whole shopping list at every storefront that delivers to an address and ranks them on what the order actually costs, items plus delivery fee, using the same regulated feeds as the shelf prices.
C+9.2 🔓 open 8 skills -
Conversational gateway of Gold & Silver Company, a precious metals dealer and refinery located in Dottignies (Mouscron), Belgium. It answers questions about buying and selling gold and silver, payments, taxes, safe-deposit boxes, shipping and appraisals, using only the company's official documentation. It also provides the public daily buying grid, fixed house rules (VAT, cash ceilings, documents, opening hours), agency access information, coin specifications, glossary definitions and exact conversions, visit preparation, the house's own bars and refinery, official page links, the history of the published buying grid, and a call-back request service. Languages served: French, English and Dutch (FR/EN/NL). Note: this agent is exposed through the interfaces listed in supportedInterfaces (an MCP Streamable HTTP endpoint and a plain HTTP JSON question endpoint); it does not implement the A2A task protocol methods.
C+9.2 🔓 open 12 skills -
Virohana AgoraVirohanalife OÜ● healthy
Sovereign, local-first AI as a paid agent-to-agent service surface. Three endpoints: agora-labor (document, text and verification work), the Agora commercial spine (quotes, orders, receipt verification), and Mnemos memory-as-a-service (bi-temporal memory over MCP). Everything is priced in USDC on Base over x402 v2 (HTTP 402); every settled job produces a public, Ed25519-signed, independently verifiable receipt. All work runs on hardware the operator owns.
B+9.7 🔓 open HTTP+JSON 37 skills -
One MCP endpoint with 41 tools for autonomous agents to turn live compliance, blockchain, market and public-web data into bounded decisions with source evidence, freshness and signed receipts where applicable. Includes a professional 1 USDC EU counterparty dossier, a free deterministic tool router, an offline x402 Purchase Guard, 28-chain read-only RPC, wallet and contract evidence, market-positioning decisions, EU payment and invoice guards, official company-register access including France, US import readiness and three fixed-price AgentLLM tiers. Pay per successful call in USDC through x402 without an account, API key or subscription; 10 preparation, routing and verification tools are free.
C8.0 🔓 open MCP 41 skills -
FabTallySunstone Soft● healthy
Pay-per-call fabrication utilities for AI agents. Give it a 3D model (STL/3MF/OBJ/STEP/PLY) and get a real, slicer-accurate slice on any of 12 calibrated FDM printers: print time, filament grams/metres, layer count, sliced g-code, a PNG preview render, model geometry, and a priced quote. Also offers signed point-in-time URL attestations. Machine-payable over x402 (USDC on Base, eip155:8453) with a free discovery document; no account, no API key. Free discovery: https://fabtally.com/agent/overview and https://fabtally.com/openapi.json .
B9.3 🔓 open 5 skills -
BrazilayerBrazilayer● healthy
Official Brazilian public data for AI agents: company registry (CNPJ), partners, sanctions and debarment, bank licenses (BCB), government contracts, investment funds (CVM), tax reform, deforestation alerts, commodities and market signals. Pay per call in USDC via the x402 protocol; no account, no API key.
C8.0 ⚡ agent-pays · x402 HTTP+JSON 38 skills -
Self-monetizing execution node exposing 89 capabilities (76 paid via x402, 13 free) — federal grants/contracts, SEC filings, FDA/clinical data, market intelligence, crypto/FX rates, and agent reputation scoring. Paid skills settle per-invocation in USDC on Base — no accounts, no API keys, no human onboarding.
B9.5 🔓 open HTTP+JSON 89 skills -
Mart402Mart402● healthy
Pay-per-call APIs for AI agents with verifiable results: documents & web, Japan statutory calculations, calibrated vision. Pay per call with x402 (USDC on Base) - no account, no API key.
C+8.8 🔓 open HTTP+JSON 28 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C7.8 🔓 open HTTP+JSON 362 skills -
NetIntelNetIntel● healthy
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
B+9.7 🔓 open HTTP+JSON 14 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.0 🔓 open HTTP+JSON 362 skills -
Pinnacle Ask — the open child-development knowledge layer of Pinnacle Blooms Network® (PinnacleAI GPT-OS; generic name: Developmental Support Software — Non-Diagnostic; CDSCO Class B SaMD). Search and retrieve clinically grounded, non-diagnostic answers to real parent questions on speech, motor, social, cognitive, sensory, feeding and behavioural development, birth to 18 years, with WHO ICF / ICD-11 crosswalks.
A9.8 🔓 open mcp-streamable-http 11 skills -
Corpus of Hacker News stories evaluated against all 30 articles and Preamble of the UN Universal Declaration of Human Rights. Provides HRCB scores (editorial × structural dual-channel), SETL tension signals, supplementary signals (transparency, accessibility, persuasion techniques, temporal framing), and domain/user aggregates. Part of the Unratified project — safety-quotient-lab.github.io.
B+9.6 🔓 open HTTP+JSON 8 skills -
Bitrovas L402 ServicesBitrovas● healthy
Pay-per-request Bitcoin and data utility services over HTTP with L402 (Lightning). No account, no API key; inputs are processed in memory and not stored.
C+8.7 🔓 open 7 skills -
Duo Data UtilitiesDuo Leads● healthy
IBAN, ISIN, VAT & tax ID, barcode, timezone and geo utilities: 33 independent pay-per-call data utilities (identifiers, time, text, encodings, geodesy, blockchain primitives, reference tables, number arithmetic). $0.05 per call, payable over x402 (USDC on Base, eip155:8453). No account, no API key. A2A: JSON-RPC at https://api.duoleads.com/a2a; send a DataPart {"skill": "<skill id>", "params": {...}}; skill execution is paid through the a2a-x402 extension. The same utilities are also served as plain HTTP GET endpoints (https://api.duoleads.com/openapi.json) and as MCP tools over Streamable HTTP at https://api.duoleads.com/mcp (tools/list free, tools/call paid).
B9.3 🔓 open 33 skills -
Permit-verified Accessory Dwelling Unit (ADU) rentals, pre-approved ADU plan sets, per-city ADU rules with citations, itemized permit fee estimates, lot and buildable-area lookups, and ADU contractors and property managers. Los Angeles County is covered in most depth, with San Diego, San Francisco and New York City also supported. Run by A-du, LLC, founded by a California-licensed architect.
C+8.9 🔓 open JSONRPC 12 skills -
121 pay-per-use AI agent services on Base mainnet (x402/USDC): content drafting, SEO tools, data utilities, and specialist agents.
C+9.0 🔓 open 121 skills -
A2A PeptidesGreenCore Solutions Corp.● healthy
Agent-to-Agent (A2A) + Model Context Protocol (MCP) hub for peptides.
B+9.8 ⚡ agent-pays · x402 JSONRPC 22 skills